Posts: patch

  • The posts.patch method updates a post and requires authorization.

  • The HTTP request for this method uses the PATCH verb with specific blogId and postId parameters in the URL.

  • Successful execution of this method returns a Posts resource in the response body.

Requires authorization

Updates a post. This method supports patch semantics. Try it now or see an example.

Request

HTTP request

PATCH https://www.googleapis.com/blogger/v3/blogs/blogId/posts/postId

Parameters

Parameter name Value Description
Required parameters
blogId string The ID of the Blog.
postId string The ID of the Post.

Authorization

This request requires authorization with at least one of the following scopes (read more about authentication and authorization).

Scope
https://www.googleapis.com/auth/blogger

Request body

In the request body, supply a Posts resource.

Response

If successful, this method returns a Posts resource in the response body.

Examples

Note: The code examples available for this method do not represent all supported programming languages (see the client libraries page for a list of supported languages).

Java

Uses the Java client library

// The BlogId of a test blog.
String TEST_BLOG_ID = "8070105920543249
955";
// The PostId
of a post.String POST_ID = "488358
1657838685651";
// Configure the Java API Client for
Installed Native AppHttpTransport HTTP_TRANSPORT = new
NetHttpTransport();JsonFactory JSON_FACTORY = n
ew JacksonFactory();
// Configure the Instal
led App OAuth2 flow.Credential credential = OAuth2Native.autho
rize(HTTP_TRANSPORT, JSON_FACTORY, new Lo
calServerReceiver(), Arrays.asList(Blog
gerScopes.BLOGGER)); // Construct the Blogger API a
ccess facade object.Blogger blogger = Blogger.builder(HTTP_TRAN
SPORT, JSON_FACTORY) .setApplicationName("Blogger
-PostsPatch-Snippet/1.0") .setHttpRequestIn
itializer(credential).b
uild();
// Construct the
patchPost patch = new Post();patch.s
etId(Long.parseLong(POST_ID));<patc>h.setCon<tent(>&<quot>;Wit<h rea>lly emphexc
iting/emph codeHTML/cod
e content");
// The request action.Patch postsPatchAction = blogger.post
s().patch(TEST_BLOG_ID, POST_ID, patch);
// Restrict the
result content to just the data we need.postsPatchAction.setFields("auth
or/displayName,content,published,title,url&quo
t;);
// This step sends the request to
the server.Post post = postsPatchActi
on.execute();
// Now we can navigate the respons
e.System.out.println("Title: " + post.getTitle());System.
out.println("Author: " + post.getAuthor().getD
isplayName());System.out.println("Publi
shed: &quot; + post.getPublished());System.out.println("URL: " + post.getUrl());System.out.println("Content: " + post.getContent());

Try it!

Use the APIs Explorer below to call this method on live data and see the response.